Bug 467143 - qps and other QT[4] apps access unmounted HDDs
qps and other QT[4] apps access unmounted HDDs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qps (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arindam Ghosh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 18:31 EDT by Vince Schiavoni
Modified: 2009-07-14 10:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vince Schiavoni 2008-10-15 18:31:59 EDT
Description of problem:
NOTE: I'm filing this bug report against qps, because that's the app that first exhibited the behavior, but the problem is not confined to qps; feel free to change the target Component.

After recent updates: qps (especially) and other QT[4]-based apps exhibit excessive read/write access to unmounted hard disk drives. This prevents HDD spin-down and frequently results in high levels of random (unmounted) HDD I/O. All above as reported by gkrellm, iotop, and other monitoring utilities.

I'm deeply concerned that the OS/app(s) is writing to the unmounted HDD, but so far have not seen any damage to the data on the unmounted HDD.

This behavior is NOT present on F8 XFCE4 Live install with qps and qt4[-x11] and unmounted HDD, and was NOT present on F9 until recent updates.

Version-Release number of selected component (if applicable):
qps-1.10.2-1.fc9.i386
qt-4.4.1-2.fc9.i386
qt-x11-4.4.1-2.fc9.i386

How reproducible:
Random. Please advise.

Steps to Reproduce:
1. Fully update to latest F9 and KDE4 suite, plus qps.
2. Let run for a while with an unmounted HDD.
3. Observe HDD read/write access to unmounted HDD as reported by gkrellm, iotop, and/or other monitoring utilities.
  
Actual results:
Random read/write access to unmounted HDD(s).

Expected results:
Unmounted HDDs are not accessed, especially writes.

Additional info:
Upon request. Please advise.
Comment 1 Vince Schiavoni 2008-10-15 18:34:02 EDT
See also: http://forums.fedoraforum.org/showthread.php?t=201499
Comment 2 Bug Zapper 2009-06-09 22:58:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:28:22 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.